Bug 8386 - Запись журнала ошибок в /etc/ppp/connect-errors
: Запись журнала ошибок в /etc/ppp/connect-errors
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 13811
  Show dependency tree
 
Reported: 2005-11-01 06:55 by
Modified: 2008-01-25 18:50 (History)


Attachments
Готовый патч из Mandriva 2007 (2.09 KB, patch)
2007-05-18 05:32, Andrew Kornilov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-01 06:55:08
Происходит запись протоколов ошибок в файл /etc/ppp/connect-errors что явно не
правильное действие, так как запись логов в /etc ни к чему хорошему привести не
может.

Для исправления положения надо просто переопределить в  pppd/pathnames.h
константу _PATH_CONNERRS в более удобоваримое место.
------- Comment #1 From 2006-12-17 21:43:27 -------
ppp начал заниматься, надеюсь продолжить до конца 2006.
------- Comment #2 From 2007-03-25 22:43:36 -------
Это ещё актуально?
------- Comment #3 From 2007-03-29 01:48:38 -------
Актуально:

-rw------- 1 root root  61K Mar 27 20:31 connect-errors

ppp-2.4.2-alt6.1.1
------- Comment #4 From 2007-05-18 05:32:56 -------
Created an attachment (id=1973) [details]
Готовый патч из Mandriva 2007

Выглядит разумным, разве что spec наш еще поправить.
------- Comment #5 From 2007-05-20 00:56:51 -------
Выглядит разумно, но секция install не работает (пытается устанавливать не в
%buildroot, а в корень. Поправишь?
------- Comment #6 From 2007-12-08 21:38:39 -------
Погуглил -- в SME Server подобный уже успели удалить почему-то...
http://fisheye1.cenqua.com/browse/smeserver/ppp/P/ppp-2.4.3-dontwriteetc.patch

В Mandriva он есть и сейчас, взял из Cooker текущую версию и притёр вместе с
файликом для logrotate.  Заодно /etc/ppp/resolv.conf переносится в
/var/run/ppp/resolv.conf.  Собственно, патч и называется "dontwriteetc".

Включено в 2.4.4-alt9.9.
------- Comment #7 From 2007-12-08 21:39:36 -------
pushed to git.alt